/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * SubGuarantee
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class SubGuarantee {
  @SerializedName("label")
  private String label = null;

  @SerializedName("description")
  private String description = null;

  @SerializedName("limit")
  private String limit = null;

  @SerializedName("excess")
  private BigDecimal excess = null;

  public SubGuarantee label(String label) {
    this.label = label;
    return this;
  }

   /**
   * Label.
   * @return label
  **/
  @ApiModelProperty(required = true, value = "Label.")
  public String getLabel() {
    return label;
  }

  public void setLabel(String label) {
    this.label = label;
  }

  public SubGuarantee description(String description) {
    this.description = description;
    return this;
  }

   /**
   * Description.
   * @return description
  **/
  @ApiModelProperty(required = true, value = "Description.")
  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public SubGuarantee limit(String limit) {
    this.limit = limit;
    return this;
  }

   /**
   * Limit of the guarantee.
   * @return limit
  **/
  @ApiModelProperty(value = "Limit of the guarantee.")
  public String getLimit() {
    return limit;
  }

  public void setLimit(String limit) {
    this.limit = limit;
  }

  public SubGuarantee excess(BigDecimal excess) {
    this.excess = excess;
    return this;
  }

   /**
   * Excess amount, numeric with 2 decimals.
   * @return excess
  **/
  @ApiModelProperty(value = "Excess amount, numeric with 2 decimals.")
  public BigDecimal getExcess() {
    return excess;
  }

  public void setExcess(BigDecimal excess) {
    this.excess = excess;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SubGuarantee subGuarantee = (SubGuarantee) o;
    return Objects.equals(this.label, subGuarantee.label) &&
        Objects.equals(this.description, subGuarantee.description) &&
        Objects.equals(this.limit, subGuarantee.limit) &&
        Objects.equals(this.excess, subGuarantee.excess);
  }

  @Override
  public int hashCode() {
    return Objects.hash(label, description, limit, excess);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SubGuarantee {\n");
    
    sb.append("    label: ").append(toIndentedString(label)).append("\n");
    sb.append("    description: ").append(toIndentedString(description)).append("\n");
    sb.append("    limit: ").append(toIndentedString(limit)).append("\n");
    sb.append("    excess: ").append(toIndentedString(excess)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

